Retrieves a specific escalation path by id
curl --request GET \
--url https://api.rootly.com/v1/escalation_paths/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"default": true,
"notification_type": "<string>",
"escalation_policy_id": "<string>",
"repeat": true,
"repeat_count": 123,
"match_mode": "match-all-rules",
"position": 123,
"initial_delay": 123,
"created_at": "<string>",
"updated_at": "<string>",
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": [
"<string>"
]
}
],
"time_restriction_time_zone": "International Date Line West",
"time_restrictions": [
{
"start_day": "monday",
"start_time": "<string>",
"end_day": "monday",
"end_time": "<string>"
}
]
},
"type": "escalation_paths"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: escalation_policy_levels
escalation_policy_levels escalation path found
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/escalation_paths/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"default": true,
"notification_type": "<string>",
"escalation_policy_id": "<string>",
"repeat": true,
"repeat_count": 123,
"match_mode": "match-all-rules",
"position": 123,
"initial_delay": 123,
"created_at": "<string>",
"updated_at": "<string>",
"rules": [
{
"rule_type": "alert_urgency",
"urgency_ids": [
"<string>"
]
}
],
"time_restriction_time_zone": "International Date Line West",
"time_restrictions": [
{
"start_day": "monday",
"start_time": "<string>",
"end_day": "monday",
"end_time": "<string>"
}
]
},
"type": "escalation_paths"
}
}